/*
 * Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id: TSAppConfig.java 73547 2014-02-26 20:08:48Z supol $
 */

package com.sun.ts.tests.jaxrs.ee.rs.constrainedto;

import java.util.HashSet;
import java.util.Set;

import javax.ws.rs.core.Application;

public class TSAppConfig extends Application {

	public java.util.Set<java.lang.Class<?>> getClasses() {
		Set<Class<?>> resources = new HashSet<Class<?>>();
		resources.add(Resource.class);
		resources.add(ClientSideReader.class); // test this is not used
		resources.add(ServerSideReader.class); // this one only should be used
		resources.add(ClientSideWriter.class); // this is not used
		resources.add(ServerSideWriter.class); // this one would be used
		return resources;
	}
}
